services:
  backend:
    build:
      context: ./ems-backend
      dockerfile: Dockerfile
    image: docker.aizhangz.top/ems-backend:latest
    platform: linux/amd64

  frontend:
    build:
      context: ./ems-frontend
      dockerfile: Dockerfile
      args:
        VITE_API_BASE_URL: /api
    image: docker.aizhangz.top/ems-frontend:latest
    platform: linux/amd64
